package com.ruoyi.project.business.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.project.business.domain.TpAreaOptionalParaPrice;
import com.ruoyi.project.business.mapper.TpAreaOptionalParaPriceMapper;
import com.ruoyi.project.business.service.ITpAreaOptionalParaPriceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-05-28
 */
@Service
public class TpAreaOptionalParaPriceServiceImpl implements ITpAreaOptionalParaPriceService
{
    @Autowired
    private TpAreaOptionalParaPriceMapper tpAreaOptionalParaPriceMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TpAreaOptionalParaPrice selectTpAreaOptionalParaPriceById(Long id)
    {
        return tpAreaOptionalParaPriceMapper.selectTpAreaOptionalParaPriceById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tpAreaOptionalParaPrice 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TpAreaOptionalParaPrice> selectTpAreaOptionalParaPriceList(TpAreaOptionalParaPrice tpAreaOptionalParaPrice)
    {
        return tpAreaOptionalParaPriceMapper.selectTpAreaOptionalParaPriceList(tpAreaOptionalParaPrice);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tpAreaOptionalParaPrice 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTpAreaOptionalParaPrice(TpAreaOptionalParaPrice tpAreaOptionalParaPrice)
    {
        tpAreaOptionalParaPrice.setCreateTime(DateUtils.getNowDate());
        return tpAreaOptionalParaPriceMapper.insertTpAreaOptionalParaPrice(tpAreaOptionalParaPrice);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tpAreaOptionalParaPrice 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTpAreaOptionalParaPrice(TpAreaOptionalParaPrice tpAreaOptionalParaPrice)
    {
        tpAreaOptionalParaPrice.setUpdateTime(DateUtils.getNowDate());
        return tpAreaOptionalParaPriceMapper.updateTpAreaOptionalParaPrice(tpAreaOptionalParaPrice);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTpAreaOptionalParaPriceByIds(Long[] ids)
    {
        return tpAreaOptionalParaPriceMapper.deleteTpAreaOptionalParaPriceByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTpAreaOptionalParaPriceById(Long id)
    {
        return tpAreaOptionalParaPriceMapper.deleteTpAreaOptionalParaPriceById(id);
    }
}
